Paint2DTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.Paint2DTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class Paint2DTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.Paint2DTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class Paint2DTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`Paint2DTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAlign(java.lang.String __align)`
`void` | `setBgcolor(java.lang.String __bgcolor)`
`void` | `setBorder(java.lang.String __border)`
`void` | `setCacheable(java.lang.String __cacheable)`
`void` | `setData(java.lang.String __data)`
`void` | `setFormat(java.lang.String __format)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setHspace(java.lang.String __hspace)`
`void` | `setPaint(java.lang.String __paint)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setVspace(java.lang.String __vspace)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paint2DTag

    public Paint2DTag()

Method Detail

### setWidth

    public void setWidth(java.lang.String __width)

### setHeight

    public void setHeight(java.lang.String __height)

### setData

    public void setData(java.lang.String __data)

### setAlign

    public void setAlign(java.lang.String __align)

### setHspace

    public void setHspace(java.lang.String __hspace)

### setVspace

    public void setVspace(java.lang.String __vspace)

### setBgcolor

    public void setBgcolor(java.lang.String __bgcolor)

### setCacheable

    public void setCacheable(java.lang.String __cacheable)

### setBorder

    public void setBorder(java.lang.String __border)

### setPaint

    public void setPaint(java.lang.String __paint)

### setFormat

    public void setFormat(java.lang.String __format)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.